
Redmine - Defect #15612

Long message on update in journal_details where prop_key = 'send_notification'

2013-12-05 18:00 - Samuel Samfra

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.4.1

Description

Hello,

I have just upgraded to the latest version available (2.4.1)

and from now on, every time I update an issue I get a long message that is stored in  journal_details where prop_key =

'send_notification'

and of course it is diplayed on the issue :

Updated by XXXX less than a minute ago

translation missing: en.field_send_notification changed from 0 to --- !ruby/object:Mail::Message b

ody: !ruby/object:Mail::Body boundary: --==_mimepart_52a0ad837f377_63933fb8c3f4a54081298 preamble:

 epilogue: charset: US-ASCII part_sort_order: &1 - text/plain - text/html parts: !ruby/array:Mail:

:PartsList - !ruby/object:Mail::Part body: !ruby/object:Mail::Body boundary: preamble: epilogue: c

harset: part_sort_order: *1 parts: !ruby/array:Mail::PartsList [] raw_source: ! "Cher client, cet 

email est une notification. Veuillez utiliser http://dev-center.xxxxxx.ch pour toute réponse.\r\nD

ear customer, this email is a notification. Please use http://dev-center.xxxxxx.ch for any answer.

 \nIssue #7567 has been reported by Carole Stefek.\n\n----------------------------------------\nBu

g #7567: Problème de CSS: fd rouge sur le choix de langues\nhttp://dev-center.xxxxxx.ch/issues/756

7\n\n* Author: Carole Stefek\n* Status: New\n* Priority: Normal\n* Assignee: Jonathan Soliveres\n*

 Category: \n* Target version: \n* Environment: \n* SoldTime: \n* Release Note xxxxxx: \n* Sequenc

e: 100\n* UPX Internal Description: \n* UPX Implementation : \n* Resolution Date: \n* Test visibil

ite: \n----------------------------------------\n[[http://psp.chopard.ch/#/highjewellery/favorites

/list]]\n\n---Files--------------------------------\niidhcgih.png (565 KB)\n\n\n-- \nYou have rece

ived this notification because you have either subscribed to it, or are involved in it.\r\nTo chan

ge your notification preferences, please click here: http://dev-center.xxxxxx.ch/my/account\n" enc

oding: 8bit body_raw: separate_parts: false text_part: html_part: errors: header: !ruby/object:Mai

l::Header errors: [] charset: UTF-8 raw_source: '' fields: !ruby/array:Mail::FieldList - !ruby/obj

ect:Mail::Field field: !ruby/object:Mail::ContentTypeField charset: main_type: text sub_type: plai

n parameters: !ruby/hash:Mail::ParameterHash charset: UTF-8 name: Content-Type length: tree: eleme

nt: !ruby/object:Mail::ContentTypeElement main_type: text sub_type: plain parameters: [] value: te

xt/plain filename: field_order_id: 23 - !ruby/object:Mail::Field field: !ruby/object:Mail::Content

TransferEncodingField charset: UTF-8 name: Content-Transfer-Encoding length: tree: element: !ruby/

object:Mail::ContentTransferEncodingElement encoding: quoted-printable value: quoted-printable fie

ld_order_id: 24 charset: UTF-8 defaulted_charset: false smtp_envelope_from: smtp_envelope_to: perf

orm_deliveries: true raise_delivery_errors: true delivery_handler: delivery_method: !ruby/object:M

ail::SMTP settings: &2 :address: localhost :port: 25 :domain: localhost.localdomain :user_name: :p

assword: :authentication: :enable_starttls_auto: true :openssl_verify_mode: :ssl: :tls: transport_

encoding: &3 !ruby/class 'Mail::Encodings::SevenBit' mark_for_delete: false raw_source: '' - !ruby

/object:Mail::Part body: !ruby/object:Mail::Body boundary: preamble: epilogue: charset: part_sort_

order: *1 parts: !ruby/array:Mail::PartsList [] raw_source: ! "<html>\n<head>\n<style>\nbody {\n f

ont-family: Verdana, sans-serif;\n \ font-size: 0.8em;\n color:#484848;\n}\nh1, h2, h3 { font-fami

ly: \"Trebuchet MS\", Verdana, sans-serif; margin: 0px; }\nh1 { font-size: 1.2em; }\nh2, h3 { font

-size: 1.1em; }\na, a:link, a:visited { color: #2A5685;}\na:hover, a:active { color: #c61a1a; }\na

.wiki-anchor { display: none; }\nfieldset.attachments {border-width: 1px 0 0 0;}\nhr {\n width: 10

0%;\n height: 1px;\n background: #ccc;\n border: 0;\n}\nspan.footer {\n font-size: 0.8em;\n font-s

tyle: italic;\n}\n</style>\n</head>\n<body>\n<span class=\"header\"><p>Cher client, \ cet email es

t une notification. Veuillez utiliser <a class=\"external\" href=\"http://dev-center.xxxxxx.ch\">h

ttp://dev-center.xxxxxx.ch</a> pour toute réponse.<br />Dear customer, this email is a notificatio

n. Please use <a class=\"external\" href=\"http://dev-center.xxxxxx.ch\">http://dev-center.xxxxxx.

ch</a> for any answer.</p></span>\nIssue #7567 has been reported by Carole Stefek.\n<hr />\n<h1><a
 href=\"http://dev-center.xxxxxx.ch/issues/7567\">Bug #7567: Problème de CSS: fd rouge sur le choi

x de langues</a></h1>\n\n<ul><li>Author: Carole Stefek</li>\n<li>Status: New</li>\n<li>Priority: N

ormal</li>\n<li>Assignee: Jonathan Soliveres</li>\n<li>Category: </li>\n<li>Target version: </li>\

n<li>Environment: </li>\n<li>SoldTime: </li>\n<li>Release Note xxxxxx: </li>\n<li>Sequence: 100</l

i>\n<li>UPX Internal Description: </li>\n<li>UPX Implementation : </li>\n<li>Resolution Date: </li

>\n<li>Test visibilite: </li></ul>\n\n<p>[[<a class=\"external\" href=\"http://psp.chopard.ch/#/hi

ghjewellery/favorites/list\">http://psp.chopard.ch/#/highjewellery/favorites/list</a>]]</p>\n\n \ 

<fieldset class=\"attachments\"><legend>Files</legend>\n <a href=\"http://dev-center.xxxxxx.ch/att

achments/download/3611/iidhcgih.png\">iidhcgih.png</a>\n \ (565 KB)<br />\n </fieldset>\n\n\n<hr /

>\n<span class=\"footer\"><p>You have received this notification because you have either subscribe

d to it, or are involved in it.<br />To change your notification preferences, please click here: <

a class=\"external\" href=\"http://dev-center.xxxxxx.ch/my/account\">http://dev-center.xxxxxx.ch/m

y/account</a></p></span>\n</body>\n</html>\n" encoding: 8bit body_raw: separate_parts: false text_

part: html_part: errors: header: !ruby/object:Mail::Header errors: [] charset: UTF-8 raw_source: '

' fields: !ruby/array:Mail::FieldList - !ruby/object:Mail::Field field: !ruby/object:Mail::Content

TypeField charset: main_type: text sub_type: html parameters: !ruby/hash:Mail::ParameterHash chars

et: UTF-8 name: Content-Type length: tree: element: !ruby/object:Mail::ContentTypeElement main_typ

e: text sub_type: html parameters: [] value: text/html filename: field_order_id: 23 - !ruby/object

:Mail::Field field: !ruby/object:Mail::ContentTransferEncodingField charset: UTF-8 name: Content-T

ransfer-Encoding length: tree: element: !ruby/object:Mail::ContentTransferEncodingElement encoding

: quoted-printable value: quoted-printable field_order_id: 24 charset: UTF-8 defaulted_charset: fa

lse smtp_envelope_from: smtp_envelope_to: perform_deliveries: true raise_delivery_errors: true del

ivery_handler: delivery_method: !ruby/object:Mail::SMTP settings: *2 transport_encoding: *3 mark_f

or_delete: false raw_source: '' raw_source: '' encoding: 7bit body_raw: separate_parts: false text

_part: html_part: errors: header: !ruby/object:Mail::Header errors: [] charset: UTF-8 raw_source: 

'' fields: !ruby/array:Mail::FieldList - !ruby/object:Mail::Field field: !ruby/object:Mail::DateFi

eld charset: UTF-8 name: Date length: tree: element: value: Thu, 05 Dec 2013 17:44:51 +0100 field_

order_id: 9 - !ruby/object:Mail::Field field: !ruby/object:Mail::FromField charset: UTF-8 name: Fr

om length: tree: !ruby/object:Mail::AddressList address_nodes: - &26 !ruby/object:Treetop::Runtime

::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 0 end: 20 excl: true element

s: - &5 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/rang

e begin: 0 end: 10 excl: true elements: - &4 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-

center@xxxxxx.ch interval: !ruby/range begin: 0 end: 0 excl: true elements: - &6 !ruby/object:Tree

top::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 0 end: 0 excl: t

rue elements: [] parent: *4 comprehensive_elements: [] - &7 !ruby/object:Treetop::Runtime::SyntaxN

ode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 0 end: 0 excl: true elements: parent:

 *4 parent: *5 comprehensive_elements: - *6 - *7 - &20 !ruby/object:Treetop::Runtime::SyntaxNode i

nput: dev-center@xxxxxx.ch interval: !ruby/range begin: 0 end: 10 excl: true elements: - &8 !ruby/

object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 0 end

: 10 excl: true elements: - &21 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx

.ch interval: !ruby/range begin: 0 end: 0 excl: true elements: [] parent: *8 comprehensive_element

s: [] - &9 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/r

ange begin: 0 end: 10 excl: true elements: - &10 !ruby/object:Treetop::Runtime::SyntaxNode input: 

dev-center@xxxxxx.ch interval: !ruby/range begin: 0 end: 1 excl: true elements: parent: *9 - &11 !

ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 

1 end: 2 excl: true elements: parent: *9 - &12 !ruby/object:Treetop::Runtime::SyntaxNode input: de

v-center@xxxxxx.ch interval: !ruby/range begin: 2 end: 3 excl: true elements: parent: *9 - &13 !ru

by/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 3 

end: 4 excl: true elements: parent: *9 - &14 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-

center@xxxxxx.ch interval: !ruby/range begin: 4 end: 5 excl: true elements: parent: *9 - &15 !ruby

/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 5 en

d: 6 excl: true elements: parent: *9 - &16 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-ce

nter@xxxxxx.ch interval: !ruby/range begin: 6 end: 7 excl: true elements: parent: *9 - &17 !ruby/o

bject:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 7 end:

 8 excl: true elements: parent: *9 - &18 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-cent

er@xxxxxx.ch interval: !ruby/range begin: 8 end: 9 excl: true elements: parent: *9 - &19 !ruby/obj

ect:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 9 end: 1

0 excl: true elements: parent: *9 parent: *8 comprehensive_elements: - *10 - *11 - *12 - *13 - *14

 - *15 - *16 - *17 - *18 - *19 - &22 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@x

xxxxx.ch interval: !ruby/range begin: 10 end: 10 excl: true elements: [] parent: *8 comprehensive_

elements: [] parent: *20 comprehensive_elements: - *21 - *9 - *22 parent: *5 comprehensive_element

s: - *8 - &23 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !rub

y/range begin: 10 end: 10 excl: true elements: - &24 !ruby/object:Treetop::Runtime::SyntaxNode inp

ut: dev-center@xxxxxx.ch interval: !ruby/range begin: 10 end: 10 excl: true elements: [] parent: *

23 comprehensive_elements: [] - &25 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xx

xxxx.ch interval: !ruby/range begin: 10 end: 10 excl: true elements: parent: *23 parent: *5 compre

hensive_elements: - *24 - *25 parent: *26 comprehensive_elements: - *4 - *20 - *23 - &51 !ruby/obj
ect:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 10 end: 

11 excl: true elements: parent: *26 - &28 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-cen

ter@xxxxxx.ch interval: !ruby/range begin: 11 end: 20 excl: true elements: - &27 !ruby/object:Tree

top::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 11 end: 11 excl:

 true elements: - &29 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interv

al: !ruby/range begin: 11 end: 11 excl: true elements: [] parent: *27 comprehensive_elements: [] -

 &30 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range b

egin: 11 end: 11 excl: true elements: parent: *27 parent: *28 comprehensive_elements: - *29 - *30 

- &39 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range 

begin: 11 end: 20 excl: true elements: - &32 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-

center@xxxxxx.ch interval: !ruby/range begin: 11 end: 18 excl: true elements: - &31 !ruby/object:T

reetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 11 end: 17 ex

cl: true elements: - &33 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch int

erval: !ruby/range begin: 11 end: 12 excl: true elements: parent: *31 - &34 !ruby/object:Treetop::

Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 12 end: 13 excl: true

 elements: parent: *31 - &35 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch

 interval: !ruby/range begin: 13 end: 14 excl: true elements: parent: *31 - &36 !ruby/object:Treet

op::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 14 end: 15 excl: 

true elements: parent: *31 - &37 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxx

x.ch interval: !ruby/range begin: 15 end: 16 excl: true elements: parent: *31 - &38 !ruby/object:T

reetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 16 end: 17 ex

cl: true elements: parent: *31 parent: *32 comprehensive_elements: - *33 - *34 - *35 - *36 - *37 -

 *38 - &40 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/r

ange begin: 17 end: 18 excl: true elements: parent: *32 parent: *39 comprehensive_elements: - *31 

- *40 - &42 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/

range begin: 18 end: 20 excl: true elements: - &41 !ruby/object:Treetop::Runtime::SyntaxNode input

: dev-center@xxxxxx.ch interval: !ruby/range begin: 18 end: 20 excl: true elements: - &43 !ruby/ob

ject:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 18 end:

 19 excl: true elements: parent: *41 - &44 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-ce

nter@xxxxxx.ch interval: !ruby/range begin: 19 end: 20 excl: true elements: parent: *41 parent: *4

2 comprehensive_elements: - *43 - *44 - &45 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-c

enter@xxxxxx.ch interval: !ruby/range begin: 20 end: 20 excl: true elements: parent: *42 parent: *

39 comprehensive_elements: - *41 - *45 parent: *28 comprehensive_elements: - *32 - *42 - &46 !ruby

/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 20 e

nd: 20 excl: true elements: - &47 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxx

xx.ch interval: !ruby/range begin: 20 end: 20 excl: true elements: [] parent: *46 comprehensive_el

ements: [] - &48 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !

ruby/range begin: 20 end: 20 excl: true elements: parent: *46 parent: *28 comprehensive_elements: 

- *47 - *48 parent: *26 comprehensive_elements: - *27 - *39 - *46 parent: &49 !ruby/object:Treetop

::Runtime::SyntaxNode input: dev-center@xxxxxx.ch interval: !ruby/range begin: 0 end: 20 excl: tru

e elements: - *26 - &50 !ruby/object:Treetop::Runtime::SyntaxNode input: dev-center@xxxxxx.ch inte

rval: !ruby/range begin: 20 end: 20 excl: true elements: [] parent: *49 comprehensive_elements: []

 comprehensive_elements: - *26 - *50 comprehensive_elements: - *5 - *51 - *28 group_recipients: []

 individual_recipients: - *26 addresses: - !ruby/object:Mail::Address output_type: :encode tree: *

26 raw_text: *26 parsed: true domain_text: xxxxxx.ch comments: [] display_name: element: value: de

v-center@xxxxxx.ch groups: {} field_order_id: 10 - !ruby/object:Mail::Field field: !ruby/object:Ma

il::ToField charset: UTF-8 name: To length: tree: !ruby/object:Mail::AddressList address_nodes: []

 group_recipients: [] individual_recipients: [] addresses: [] element: value: '' field_order_id: 1

3 - !ruby/object:Mail::Field field: !ruby/object:Mail::CcField charset: UTF-8 name: Cc length: tre

e: !ruby/object:Mail::AddressList address_nodes: [] group_recipients: [] individual_recipients: []

 addresses: [] element: value: '' field_order_id: 14 - !ruby/object:Mail::Field field: !ruby/objec

t:Mail::BccField charset: UTF-8 name: Bcc length: tree: !ruby/object:Mail::AddressList address_nod

es: - &86 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.

stoll@xxxxxx.ch interval: !ruby/range begin: 0 end: 28 excl: true elements: - &53 !ruby/object:Tre

etop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: 

!ruby/range begin: 0 end: 18 excl: true elements: - &52 !ruby/object:Treetop::Runtime::SyntaxNode 

input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 0 end: 

0 excl: true elements: - &54 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@x

xxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 0 end: 0 excl: true elements: [] p

arent: *52 comprehensive_elements: [] - &55 !ruby/object:Treetop::Runtime::SyntaxNode input: jonat

han.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 0 end: 0 excl: true

 elements: parent: *52 parent: *53 comprehensive_elements: - *54 - *55 - &68 !ruby/object:Treetop:

:Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby

/range begin: 0 end: 18 excl: true elements: - &56 !ruby/object:Treetop::Runtime::SyntaxNode input

: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 0 end: 9 exc

l: true elements: - &69 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx

.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 0 end: 0 excl: true elements: [] parent
: *56 comprehensive_elements: [] - &57 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.s

oliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 0 end: 8 excl: true elem

ents: - &58 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjami

n.stoll@xxxxxx.ch interval: !ruby/range begin: 0 end: 1 excl: true elements: parent: *57 - &59 !ru

by/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.

ch interval: !ruby/range begin: 1 end: 2 excl: true elements: parent: *57 - &60 !ruby/object:Treet

op::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !r

uby/range begin: 2 end: 3 excl: true elements: parent: *57 - &61 !ruby/object:Treetop::Runtime::Sy

ntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin

: 3 end: 4 excl: true elements: parent: *57 - &62 !ruby/object:Treetop::Runtime::SyntaxNode input:

 jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 4 end: 5 excl

: true elements: parent: *57 - &63 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliv

eres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 5 end: 6 excl: true elements

: parent: *57 - &64 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch,

 benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 6 end: 7 excl: true elements: parent: *57 -

 &65 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll

@xxxxxx.ch interval: !ruby/range begin: 7 end: 8 excl: true elements: parent: *57 parent: *56 comp

rehensive_elements: - *58 - *59 - *60 - *61 - *62 - *63 - *64 - *65 - &66 !ruby/object:Treetop::Ru

ntime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/ra

nge begin: 8 end: 9 excl: true elements: - &67 !ruby/object:Treetop::Runtime::SyntaxNode input: jo

nathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 8 end: 9 excl: t

rue elements: parent: *66 parent: *56 comprehensive_elements: - *67 parent: *68 comprehensive_elem

ents: - *69 - *57 - *66 - &70 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@

xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 9 end: 18 excl: true elements: - 

&81 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@

xxxxxx.ch interval: !ruby/range begin: 9 end: 9 excl: true elements: [] parent: *70 comprehensive_

elements: [] - &71 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, 

benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 9 end: 18 excl: true elements: - &72 !ruby/o

bject:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch i

nterval: !ruby/range begin: 9 end: 10 excl: true elements: parent: *71 - &73 !ruby/object:Treetop:

:Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby

/range begin: 10 end: 11 excl: true elements: parent: *71 - &74 !ruby/object:Treetop::Runtime::Syn

taxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin:

 11 end: 12 excl: true elements: parent: *71 - &75 !ruby/object:Treetop::Runtime::SyntaxNode input

: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 12 end: 13 e

xcl: true elements: parent: *71 - &76 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.so

liveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 13 end: 14 excl: true ele

ments: parent: *71 - &77 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxx

x.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 14 end: 15 excl: true elements: parent

: *71 - &78 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjami

n.stoll@xxxxxx.ch interval: !ruby/range begin: 15 end: 16 excl: true elements: parent: *71 - &79 !

ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxx

x.ch interval: !ruby/range begin: 16 end: 17 excl: true elements: parent: *71 - &80 !ruby/object:T

reetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval

: !ruby/range begin: 17 end: 18 excl: true elements: parent: *71 parent: *70 comprehensive_element

s: - *72 - *73 - *74 - *75 - *76 - *77 - *78 - *79 - *80 - &82 !ruby/object:Treetop::Runtime::Synt

axNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 

18 end: 18 excl: true elements: [] parent: *70 comprehensive_elements: [] parent: *68 comprehensiv

e_elements: - *81 - *71 - *82 parent: *53 comprehensive_elements: - *56 - *70 - &83 !ruby/object:T

reetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval

: !ruby/range begin: 18 end: 18 excl: true elements: - &84 !ruby/object:Treetop::Runtime::SyntaxNo

de input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 18 e

nd: 18 excl: true elements: [] parent: *83 comprehensive_elements: [] - &85 !ruby/object:Treetop::

Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/

range begin: 18 end: 18 excl: true elements: parent: *83 parent: *53 comprehensive_elements: - *84

 - *85 parent: *86 comprehensive_elements: - *52 - *68 - *83 - &169 !ruby/object:Treetop::Runtime:

:SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range be

gin: 18 end: 19 excl: true elements: parent: *86 - &88 !ruby/object:Treetop::Runtime::SyntaxNode i

nput: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 19 end: 

28 excl: true elements: - &87 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@

xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 19 end: 19 excl: true elements: -

 &89 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll

@xxxxxx.ch interval: !ruby/range begin: 19 end: 19 excl: true elements: [] parent: *87 comprehensi

ve_elements: [] - &90 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.c

h, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 19 end: 19 excl: true elements: parent: *

87 parent: *88 comprehensive_elements: - *89 - *90 - &99 !ruby/object:Treetop::Runtime::SyntaxNode

 input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 19 end
: 28 excl: true elements: - &92 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.solivere

s@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 19 end: 26 excl: true elements:

 - &91 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.sto

ll@xxxxxx.ch interval: !ruby/range begin: 19 end: 25 excl: true elements: - &93 !ruby/object:Treet

op::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !r

uby/range begin: 19 end: 20 excl: true elements: parent: *91 - &94 !ruby/object:Treetop::Runtime::

SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range beg

in: 20 end: 21 excl: true elements: parent: *91 - &95 !ruby/object:Treetop::Runtime::SyntaxNode in

put: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 21 end: 2

2 excl: true elements: parent: *91 - &96 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan

.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 22 end: 23 excl: true 

elements: parent: *91 - &97 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xx

xxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 23 end: 24 excl: true elements: par

ent: *91 - &98 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benj

amin.stoll@xxxxxx.ch interval: !ruby/range begin: 24 end: 25 excl: true elements: parent: *91 pare

nt: *92 comprehensive_elements: - *93 - *94 - *95 - *96 - *97 - *98 - &100 !ruby/object:Treetop::R

untime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/r

ange begin: 25 end: 26 excl: true elements: parent: *92 parent: *99 comprehensive_elements: - *91 

- *100 - &102 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benja

min.stoll@xxxxxx.ch interval: !ruby/range begin: 26 end: 28 excl: true elements: - &101 !ruby/obje

ct:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch inte

rval: !ruby/range begin: 26 end: 28 excl: true elements: - &103 !ruby/object:Treetop::Runtime::Syn

taxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin:

 26 end: 27 excl: true elements: parent: *101 - &104 !ruby/object:Treetop::Runtime::SyntaxNode inp

ut: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 27 end: 28

 excl: true elements: parent: *101 parent: *102 comprehensive_elements: - *103 - *104 - &105 !ruby

/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch

 interval: !ruby/range begin: 28 end: 28 excl: true elements: parent: *102 parent: *99 comprehensi

ve_elements: - *101 - *105 parent: *88 comprehensive_elements: - *92 - *102 - &106 !ruby/object:Tr

eetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval:

 !ruby/range begin: 28 end: 28 excl: true elements: - &107 !ruby/object:Treetop::Runtime::SyntaxNo

de input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 28 e

nd: 28 excl: true elements: [] parent: *106 comprehensive_elements: [] - &108 !ruby/object:Treetop

::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !rub

y/range begin: 28 end: 28 excl: true elements: parent: *106 parent: *88 comprehensive_elements: - 

*107 - *108 parent: *86 comprehensive_elements: - *87 - *99 - *106 parent: &168 !ruby/object:Treet

op::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !r

uby/range begin: 0 end: 54 excl: true elements: - *86 - &164 !ruby/object:Treetop::Runtime::Syntax

Node input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 28

 end: 54 excl: true elements: - &109 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.sol

iveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 28 end: 54 excl: true elem

ents: - &165 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjam

in.stoll@xxxxxx.ch interval: !ruby/range begin: 28 end: 28 excl: true elements: [] parent: *109 - 

&166 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll

@xxxxxx.ch interval: !ruby/range begin: 28 end: 29 excl: true elements: parent: *109 - &167 !ruby/

object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch 

interval: !ruby/range begin: 29 end: 30 excl: true elements: - !ruby/object:Treetop::Runtime::Synt

axNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 

29 end: 30 excl: true elements: - !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.solive

res@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 29 end: 30 excl: true element

s: - !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll

@xxxxxx.ch interval: !ruby/range begin: 29 end: 30 excl: true elements: - !ruby/object:Treetop::Ru

ntime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/ra

nge begin: 30 end: 30 excl: true elements: [] parent: *109 - &140 !ruby/object:Treetop::Runtime::S

yntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begi

n: 30 end: 54 excl: true elements: - &111 !ruby/object:Treetop::Runtime::SyntaxNode input: jonatha

n.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 30 end: 44 excl: true

 elements: - &110 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, b

enjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 30 end: 30 excl: true elements: - &112 !ruby/

object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch 

interval: !ruby/range begin: 30 end: 30 excl: true elements: [] parent: *110 comprehensive_element

s: [] - &113 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjam

in.stoll@xxxxxx.ch interval: !ruby/range begin: 30 end: 30 excl: true elements: parent: *110 paren

t: *111 comprehensive_elements: - *112 - *113 - &126 !ruby/object:Treetop::Runtime::SyntaxNode inp

ut: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 30 end: 44

 excl: true elements: - &114 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@x

xxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 30 end: 39 excl: true elements: - 
&127 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll

@xxxxxx.ch interval: !ruby/range begin: 30 end: 30 excl: true elements: [] parent: *114 comprehens

ive_elements: [] - &115 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx

.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 30 end: 38 excl: true elements: - &116 

!ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxx

xx.ch interval: !ruby/range begin: 30 end: 31 excl: true elements: parent: *115 - &117 !ruby/objec

t:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch inter

val: !ruby/range begin: 31 end: 32 excl: true elements: parent: *115 - &118 !ruby/object:Treetop::

Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/

range begin: 32 end: 33 excl: true elements: parent: *115 - &119 !ruby/object:Treetop::Runtime::Sy

ntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin

: 33 end: 34 excl: true elements: parent: *115 - &120 !ruby/object:Treetop::Runtime::SyntaxNode in

put: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 34 end: 3

5 excl: true elements: parent: *115 - &121 !ruby/object:Treetop::Runtime::SyntaxNode input: jonath

an.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 35 end: 36 excl: tru

e elements: parent: *115 - &122 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.solivere

s@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 36 end: 37 excl: true elements:

 parent: *115 - &123 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch

, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 37 end: 38 excl: true elements: parent: *1

15 parent: *114 comprehensive_elements: - *116 - *117 - *118 - *119 - *120 - *121 - *122 - *123 - 

&124 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll

@xxxxxx.ch interval: !ruby/range begin: 38 end: 39 excl: true elements: - &125 !ruby/object:Treeto

p::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ru

by/range begin: 38 end: 39 excl: true elements: parent: *124 parent: *114 comprehensive_elements: 

- *125 parent: *126 comprehensive_elements: - *127 - *115 - *124 - &128 !ruby/object:Treetop::Runt

ime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/rang

e begin: 39 end: 44 excl: true elements: - &135 !ruby/object:Treetop::Runtime::SyntaxNode input: j

onathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 39 end: 39 excl

: true elements: [] parent: *128 comprehensive_elements: [] - &129 !ruby/object:Treetop::Runtime::

SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range beg

in: 39 end: 44 excl: true elements: - &130 !ruby/object:Treetop::Runtime::SyntaxNode input: jonath

an.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 39 end: 40 excl: tru

e elements: parent: *129 - &131 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.solivere

s@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 40 end: 41 excl: true elements:

 parent: *129 - &132 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch

, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 41 end: 42 excl: true elements: parent: *1

29 - &133 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.

stoll@xxxxxx.ch interval: !ruby/range begin: 42 end: 43 excl: true elements: parent: *129 - &134 !

ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxx

x.ch interval: !ruby/range begin: 43 end: 44 excl: true elements: parent: *129 parent: *128 compre

hensive_elements: - *130 - *131 - *132 - *133 - *134 - &136 !ruby/object:Treetop::Runtime::SyntaxN

ode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 44 

end: 44 excl: true elements: [] parent: *128 comprehensive_elements: [] parent: *126 comprehensive

_elements: - *135 - *129 - *136 parent: *111 comprehensive_elements: - *114 - *128 - &137 !ruby/ob

ject:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch in

terval: !ruby/range begin: 44 end: 44 excl: true elements: - &138 !ruby/object:Treetop::Runtime::S

yntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begi

n: 44 end: 44 excl: true elements: [] parent: *137 comprehensive_elements: [] - &139 !ruby/object:

Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interva

l: !ruby/range begin: 44 end: 44 excl: true elements: parent: *137 parent: *111 comprehensive_elem

ents: - *138 - *139 parent: *140 comprehensive_elements: - *110 - *126 - *137 - &163 !ruby/object:

Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interva

l: !ruby/range begin: 44 end: 45 excl: true elements: parent: *140 - &142 !ruby/object:Treetop::Ru

ntime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/ra

nge begin: 45 end: 54 excl: true elements: - &141 !ruby/object:Treetop::Runtime::SyntaxNode input:

 jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 45 end: 45 ex

cl: true elements: - &143 !ruby/object:Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxx

xx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 45 end: 45 excl: true elements: [] pa

rent: *141 comprehensive_elements: [] - &144 !ruby/object:Treetop::Runtime::SyntaxNode input: jona

than.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interval: !ruby/range begin: 45 end: 45 excl: t

rue elements: parent: *141 parent: *142 comprehensive_elements: - *143 - *144 - &153 !ruby/object:

Treetop::Runtime::SyntaxNode input: jonathan.soliveres@xxxxxx.ch, benjamin.stoll@xxxxxx.ch interva

l: !ruby/range begin: 45 en

Related issues:

Related to Redmine - Defect #19283: send_notification visible in journal_deta... Closed
Associated revisions

Revision 12361 - 2013-12-07 00:22 - Toshi MARUYAMA

explicitly use mail send setting in unit issue test (#15612)

Revision 12362 - 2013-12-07 00:22 - Toshi MARUYAMA

add test not to send mail with no settng in creating issue (#15612)

Revision 12363 - 2013-12-07 00:22 - Toshi MARUYAMA

add test to send one mail with both settngs in creating issue (#15612)

History

#1 - 2013-12-06 04:40 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

There is no "send_notification" field on Redmine.

It is in ChiliProject.

https://github.com/chiliproject/chiliproject/commit/614bad89a5e02b66776fa16f5dce341821650c7b

#2 - 2013-12-06 11:51 - Samuel Samfra

- Status changed from Closed to Reopened

Hello

I swear NO.

I guess the problem is that I have installed a plugin and removed it just be deleting the folder... ;(((

What could cause this ? It's really annoying since it makes items unreadable...

thanks a lot !

#3 - 2013-12-06 14:34 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Please contact plugin author.

#4 - 2013-12-06 16:34 - Ilya S

+1. Same problem here. Update redmine core from 2.3.3 -> 2.4.1 and this bug appear.

And one more thing: even when i update existing task update calls deliver_issue_add method, and deliver_issue_edit. If i create a new one, then calls

only deliver_issue_add method. Why? I see, that deliver_issue_add should calls only after_save Issue instance, but behaviour differs a bit.

Please, reopen this issue.

#5 - 2013-12-06 16:44 - Toshi MARUYAMA

- Status changed from Closed to New

#6 - 2013-12-06 17:04 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Resolution deleted (Invalid)

Ilya S wrote:

I see, that deliver_issue_add should calls only after_save Issue instance, but behaviour differs a bit.

 Issue#after_save does not call "send_notification".

Only "after_create" in Issus class calls "send_notification".

source:tags/2.4.1/app/models/issue.rb#L97

#7 - 2013-12-06 17:07 - Ilya S
yeah, thanks for link, i saw the code, but my question is "why deliver_issue_add runs even after i save existing issue, not create a new one?". I know

how it should be.

#8 - 2013-12-06 17:13 - Ilya S

simple way to prove it: add

puts "*"*80

puts "run deliver_issue_add"

puts "*"*80

in send_notification method, and try to update existing task, you'll see what i'm talking about, right in log

(test in redmine with plugins, and then in clean copy of redmine, only set up the db connection and secret token generated)

#9 - 2013-12-07 02:05 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

I added test some tests and tests pass.

#10 - 2013-12-07 12:23 - Ilya S

i've found bug. Problem in different db structure. And i'm not surprised, because till to version 2.4 redmine from github worked with notifications via

activerecord callbacks, but redmine that was in bitbucket works on deprecated activerecord observers. And both versions live in the same time. So

who knows, what else can do this people? And now I know.

If you looks at app/model/issue.rb:1463 you can see genial trick

Issue.column_names - %w(id root_id lft rgt lock_version created_on updated_on closed_on)

Excellent! But, only before this code doesn't run people like me, who have column with name "send_notification". Brilliant idea, call column in table

and method with the same name.

How can you explain, that redmine till now exist in two nocompatible versions? How it can possible, that upgrade our copies of redmine we get

different versions of software? HOW?!

#11 - 2013-12-07 13:39 - Toshi MARUYAMA

Github mirror stopped r12243.

Because it reads rubyforge SVN.

https://github.com/edavis10/redmine/commit/2e1f80dcdede1fc58f93b58ea7b2256aacf6ec93

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@12243 e93f8b46-1217-0410-a6f0-8f06a7374b81

 Redmine official SVN repository is on redmine.org.

http://svn.redmine.org/redmine/

I manage Mercurial mirror on bitbucket.

https://bitbucket.org/redmine/redmine

It reads redmine.org SVN.

I push git revisions converted from Mercurail revisions to my personal github repository.

https://github.com/marutosi/redmine-bb

If you want to use git, you can use this git revisions.

But, hg-git which I use to convert Mercurial to Git is less reliable than hgsubversion.

http://mercurial.selenic.com/wiki/HgGit

http://mercurial.selenic.com/wiki/HgSubversion

#12 - 2013-12-09 12:00 - Samuel Samfra

- Status changed from Closed to Reopened

Hello

Can you please summarize for less-experienced users :) ?

I took 2.4 from the archived version there : http://www.redmine.org/releases/redmine-2.4.1.tar.gz

what am I supposed to take ? the svn version ?

thanks a lot
#13 - 2013-12-09 12:10 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Please contact plugin author.

Plugin which you use is not campatible with Redmine 2.4.

#14 - 2013-12-09 13:45 - Samuel Samfra

- Status changed from Closed to Reopened

which plugin ?

I've removed all plugins....

#15 - 2013-12-09 13:48 - Ilya S

it doesn't matter! if your copy of redmine crashes, then you have to contact with plugin author, and blame him for all ;)

#16 - 2013-12-09 13:58 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Samuel France wrote:

which plugin ?

I've removed all plugins....

 You need to run "rake db:migrate" for downgrade, or remove field manually.

#17 - 2013-12-10 18:08 - Samuel Samfra

- Status changed from Closed to Reopened

Hello,

I'm lost.... Can you give me advices on how to remove that field ?

What does my error tell you ?  "en.field_send_notification changed from 0 to --- !ruby/object:Mail...."

Should I find a table with a "send_notification" table and try to remove it ? Which table should it be ? If I remove it in ISSUES, many things don't work

anymore

thank you for your help, it's very annoying.

#18 - 2013-12-10 18:27 - Samuel Samfra

ok I have removed send_notification from the table issues.

run rake db:migrate

and restart

and now it's fine !

thank you,

you can close the issue.

#19 - 2013-12-11 03:10 - Jan from Planio www.plan.io

- Status changed from Reopened to Closed

Closing the issue. For future reference it would be great if one of the original reporters of this issue could add the name of the plugin here, which

caused this.

#20 - 2015-04-03 09:02 - Toshi MARUYAMA

- Related to Defect #19283: send_notification visible in journal_details after redmine update added

Powered by TCPDF (www.tcpdf.org)

2024-04-26 9/9

http://www.tcpdf.org

